SUBSET_BIOM(1)

NAME
subset_biom - subset a BIOM file, over either the observations or samples

SYNOPSIS
subset_biom [options] {-i/--biom_fp BIOM_FP -a/--axis AXIS -s/--ids_fp IDS_FP -o/--output_fp OUTPUT_FP}

DESCRIPTION
[] indicates optional input (order unimportant) {} indicates required input (order unimportant)

Subset a BIOM file, over either the observations or samples, without fully parsing it. This script is intended to assist working with very large tables when tight on memory, or as a light weight way to subset a full table. Currently, it is possible to produce tables with rows or columns (observations or samples) that are fully zerod.

Example usage: Print help message and exit

    subset_biom -h

Subset the observations in my_data.biom file.

    subset_biom -i my_data.biom -a observations -s file_with_ids

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-v, --verbose
    Print information during execution -- useful for debugging [default: False]

    REQUIRED options:

    The following options must be provided under all circumstances.

-i BIOM_FP, --biom_fp=BIOM_FP
    the BIological Observation Matrix filepath [REQUIRED]

-a AXIS, --axis=AXIS
    The axis to subset over [REQUIRED]

-s IDS_FP, --ids_fp=IDS_FP
    A file containing a single column of IDs to retain [REQUIRED]

-o OUTPUT_FP, --output_fp=OUTPUT_FP
    A file to write the result to [REQUIRED]